Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[PALUDIS] Support thread (current v. 0.24.6) - Part 3
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3 ... 13, 14, 15  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
truc
Advocate
Advocate


Joined: 25 Jul 2005
Posts: 3199

PostPosted: Sun May 06, 2007 8:44 pm    Post subject: [PALUDIS] Support thread (current v. 0.24.6) - Part 3 Reply with quote

Hello there, zxy is not here, and he was asked to make a new paludis support thread when 0.24.2 would be out, so.. here it is!


PALUDIS SUPPORT THREAD - 0.24.6 is in the gentoo overlay

  • IMPORTANT

    Please report bugs to trac, or use the paludis-user mailing list if you're not sure. Any reports made here will likely not been seen or fixed by Paludis developers.

  • ABOUT

    This thread is the part 3 of the old Paludis Support thread - Part 2. It has been splitted with the 0.24.1 version of Paludis.


    This front post will be updated from time to time. The old first post will not.


    Paludis is a portage alernative.

    I created this thread for everybody that has problems with using paludis or has something useful to contribute to others about paludis.

    Paludis is different than portage in command line and configs differ, too.

    Any help, info, shortcut, howto or a tip is welcome here.


  • LINKS

    (links changed - UPDATED)
    From paludis home page:


    For posting bugs see:

    Other resources:

    Share your experiences with paludis here: [ Poll ] Are you satisfied with Paludis

    paludis-extras overlay
    (eclass added so please follow the upgrade instructions)
    Now includes:
    • app-paludis/paludis-hooks-0.2.1 - collection of hooks for paludis (basicaly comming from this thread)
        * ask - truc, zxy
        * check-security-updates
        * collision-protect - dleverton
        * compress-man
        * paludis-wrapper - truc, zxy
        * sync-disks - zxy
        * undo-prelink - dleverton
        * update-eix - pioto; contributors bo.andersen, truc
    • app-portage/portage-utils (paludis version) -- truc
    • app-portage/gentoolkit (revdep-rebuild modified for paludis) -- jordan83, zxy
    • app-paludis/etc-paludis (etc-update modified for paludis) -- jordan83
    • app-admin/eselect-paludis-hooks - manage hooks with eselect -- zxy
    • app-paludis/paludis-wrapper (a wrapper script for --nice and --ask) -- truc, zxy
    • sys-apps/module-rebuild (module-rebuild ported to paludis) -- zxy, truc


    Install instructions and change logs are here:

    where you can also find some of the scripts from this and previous thread.

    This overlay is unsupported by paludis and gentoo devs. Do not bother them about it. You can ask questions on paludis-extras overlay thread or on IRC freenode: #paludis-extras.

  • INSTALLATION

    Paludis is in portage and is available in ~arch. For migrating see the guide in the links section.


  • KNOWN ISSUES - DIFFERENCES BETWEEN PORTAGE AND PALUDIS

    If you encounter any problems read the docs on Paludis homepage.
    You can see the FAQ page here: http://paludis.pioto.org/faq.html

    Check HERE: http://paludis.pioto.org/portagedifferences.html to read about differences between portage and paludis.

    There is many things in this and the previous thread, too. And don't forget the wiki.


  • THIS THREAD, THE PREVIOUS THREAD AND WIKI INCLUDE

    In this thread and in the wiki you can find how to make the following work with Paludis:

    • eix
    • revdep-rebuild
    • ccache
    • portage-utils
    • zsh scripts
    • hooks
      for
      • manage orphaned files after unmerging; for prelinked libraries(by dleverton)
      • collision-protect] (by dleverton)
      see this thread: http://forums.gentoo.org/viewtopic-t-536458.html
    • various tips, tricks, Q & A


    and more...


Enjoy using Paludis,
zxy


It is NOT alowed to start FLAMEWARS here. Go to other threads if you search for a fight!!!!!
For fights go here for example:
http://forums.gentoo.org/viewtopic-t-495257-start-0-postdays-0-postorder-asc-highlight-.html
and there are many more there on the forums.
_________________
The End of the Internet!


Last edited by truc on Fri Aug 17, 2007 5:42 pm; edited 4 times in total
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 5701
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun May 06, 2007 9:04 pm    Post subject: Reply with quote

is .24.1 supposed to fail on test-phase ??? :lol:

Quote:
install_TEST> These packages will be installed:
install_TEST>
install_TEST> ./install_TEST: line 7: 19858 Segmentation fault PALUDIS_INSTALL_TEST_DIE_PLEASE=yes PALUDIS_HOME=./install_TEST_dir/config/ ./paludis --environment :install-test --install target --resume-command-template `pwd`/install_TEST_dir/resume
install_TEST> ./install_TEST: line 8: install_TEST_dir/resume: No such file or directory
install_TEST> Usage error: you should specify exactly one action
install_TEST> Try /var/tmp/paludis/sys-apps/paludis-0.24.1/work/paludis-0.24.1/src/clients/paludis/.libs/lt-paludis --help
>>> test ./install_TEST returned 3
>>> cleanup for test ./install_TEST
>>> exiting with error for test ./install_TEST
FAIL: install_TEST


Quote:
upgrade_TEST> These packages will be installed:
upgrade_TEST>
upgrade_TEST> ./upgrade_TEST: line 4: 20052 Segmentation fault PALUDIS_HOME=./upgrade_TEST_dir/config/ ./paludis --config-suffix upgrade-test --install =test-category/target-1
>>> test ./upgrade_TEST returned 1
>>> cleanup for test ./upgrade_TEST
>>> exiting with error for test ./upgrade_TEST
FAIL: upgrade_TEST


Quote:
===================
2 of 8 tests failed
===================
make[6]: *** [check-TESTS] Error 1
make[6]: Leaving directory `/var/tmp/paludis/sys-apps/paludis-0.24.1/work/paludis-0.24.1/src/clients/paludis'
make[5]: *** [check-am] Error 2
make[5]: Leaving directory `/var/tmp/paludis/sys-apps/paludis-0.24.1/work/paludis-0.24.1/src/clients/paludis'
make[4]: *** [check-recursive] Error 1
make[4]: Leaving directory `/var/tmp/paludis/sys-apps/paludis-0.24.1/work/paludis-0.24.1/src/clients/paludis'
make[3]: *** [check-recursive] Error 1
make[3]: Leaving directory `/var/tmp/paludis/sys-apps/paludis-0.24.1/work/paludis-0.24.1/src/clients'
make[2]: *** [check-recursive] Error 1
make[2]: Leaving directory `/var/tmp/paludis/sys-apps/paludis-0.24.1/work/paludis-0.24.1/src'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/var/tmp/paludis/sys-apps/paludis-0.24.1/work/paludis-0.24.1'
make: *** [check] Error 2

!!! ERROR in sys-apps/paludis-0.24.1:
!!! In src_test at line 3410
!!! Make check failed

!!! Call stack:
!!! * src_test (/var/tmp/paludis/sys-apps/paludis-0.24.1/temp/loadsaveenv:3410)
!!! * ebuild_f_test (/usr/libexec/paludis/src_test.bash:71)
!!! * ebuild_main (/usr/libexec/paludis/ebuild.bash:354)
!!! * main (/usr/libexec/paludis/ebuild.bash:372)


!!! This package failed inside the test phase. You should read
!!! http://paludis.pioto.org/faq.html
!!! for more information on packages with test phase failures.


die trap: exiting with error.


Update:

lowering / disabling the MAKEOPTS= option & disabling a lot more cflags & ldflags fixed it :roll:
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD
2.6.37.2_plus_v1: BFS, CFS,THP,compaction, zcache or TOI
Hardcore Linux user since 2004 :D
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 5701
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun May 06, 2007 9:25 pm    Post subject: Reply with quote

Quote:
# licenses.conf
# This is a stub, it accepts all licenses.
# This file created by portage2paludis.bash
*/* */*


this is my licenses.conf

how is its content supposed to look like?

I get errors with any kind of license!

Quote:
* When performing install action from command line:
* When executing install task:
* When adding PackageDepSpec 'app-editors/gvim':
* All versions of 'app-editors/gvim' are masked. Candidates are:
* app-editors/gvim-6.4::gentoo: Masked by license ( (vim)! )
* app-editors/gvim-7.0.17::gentoo: Masked by license ( (vim)! )
* app-editors/gvim-7.0.91::gentoo: Masked by license ( (vim)! )
* app-editors/gvim-7.0.146::gentoo: Masked by license ( (vim)! )
* app-editors/gvim-7.0.174::gentoo: Masked by license ( (vim)! )
* app-editors/gvim-7.0.201::gentoo: Masked by license ( (vim)! )
* app-editors/gvim-7.0.235::gentoo: Masked by license ( (vim)! )

_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD
2.6.37.2_plus_v1: BFS, CFS,THP,compaction, zcache or TOI
Hardcore Linux user since 2004 :D
Back to top
View user's profile Send private message
Paapaa
l33t
l33t


Joined: 14 Aug 2005
Posts: 955
Location: Finland

PostPosted: Sun May 06, 2007 9:31 pm    Post subject: Reply with quote

kernelOfTruth wrote:
this is my licenses.conf
how is its content supposed to look like?


This will help you:

http://paludis.pioto.org/configuration.html
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 5701
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun May 06, 2007 9:39 pm    Post subject: Reply with quote

Paapaa wrote:
kernelOfTruth wrote:
this is my licenses.conf
how is its content supposed to look like?


This will help you:

http://paludis.pioto.org/configuration.html


back to business!, thanks Paapaa :)

forgot to read the fine manual :oops: (didn't know the changes were already included)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD
2.6.37.2_plus_v1: BFS, CFS,THP,compaction, zcache or TOI
Hardcore Linux user since 2004 :D
Back to top
View user's profile Send private message
cpt_Nemo
n00b
n00b


Joined: 03 May 2004
Posts: 6
Location: Braunschweig - GER

PostPosted: Mon May 07, 2007 10:50 am    Post subject: Reply with quote

Hello, I have a Problem with my virtuals repository.
Yesterday, I created a rather strict rsync_excludes file, and now I get a warning about all these virtuals that are no longer in my tree:

Code:

fireball pyro # paludis -pi world
Building target list...
Building dependency list...paludis@1178534619: [WARNING] In program paludis -pi world:
  ... When performing install action from command line:
  ... When executing install task:
  ... When adding PackageDepSpec 'virtual/baselayout':
  ... When loading entries for virtuals repository:
  ... No packages matching 'app-antivirus/clamav' for virtual 'virtual/antivirus'
paludis@1178534619: [WARNING] (same context) No packages matching 'app-antivirus/clamav' for virtual 'virtual/antivirus'
paludis@1178534619: [WARNING] (same context) No packages matching 'app-antivirus/clamav' for virtual 'virtual/antivirus'
paludis@1178534619: [WARNING] (same context) No packages matching 'net-p2p/bittorrent' for virtual 'virtual/bittorrent'
paludis@1178534619: [WARNING] (same context) No packages matching 'net-p2p/bittorrent' for virtual 'virtual/bittorrent'
paludis@1178534619: [WARNING] (same context) No packages matching 'net-p2p/bittorrent' for virtual 'virtual/bittorrent'
paludis@1178534619: [WARNING] (same context) No packages matching 'sci-libs/blas-atlas' for virtual 'virtual/blas'
paludis@1178534619: [WARNING] (same context) No packages matching 'sci-libs/blas-atlas' for virtual 'virtual/blas'
paludis@1178534619: [WARNING] (same context) No packages matching 'sci-libs/blas-atlas' for virtual 'virtual/blas'
paludis@1178534619: [WARNING] (same context) No packages matching 'sci-libs/blas-atlas' for virtual 'virtual/cblas'
paludis@1178534619: [WARNING] (same context) No packages matching 'sci-libs/blas-atlas' for virtual 'virtual/cblas'
paludis@1178534619: [WARNING] (same context) No packages matching 'sci-libs/blas-atlas' for virtual 'virtual/cblas'
paludis@1178534619: [WARNING] (same context) No packages matching 'dev-lisp/sbcl' for virtual 'virtual/commonlisp'
paludis@1178534619: [WARNING] (same context) No packages matching 'dev-lisp/sbcl' for virtual 'virtual/commonlisp'
paludis@1178534619: [WARNING] (same context) No packages matching 'dev-lisp/sbcl' for virtual 'virtual/commonlisp'
paludis@1178534619: [WARNING] (same context) No packages matching 'app-editors/emacs' for virtual 'virtual/emacs'
paludis@1178534619: [WARNING] (same context) No packages matching 'app-editors/emacs' for virtual 'virtual/emacs'
paludis@1178534619: [WARNING] (same context) No packages matching 'app-editors/emacs' for virtual 'virtual/emacs'
paludis@1178534619: [WARNING] (same context) No packages matching 'app-emacs/flim' for virtual 'virtual/flim'
paludis@1178534619: [WARNING] (same context) No packages matching 'app-emacs/flim' for virtual 'virtual/flim'
paludis@1178534619: [WARNING] (same context) No packages matching 'app-emacs/flim' for virtual 'virtual/flim'
paludis@1178534619: [WARNING] (same context) No packages matching 'gnustep-base/gnustep-back-art' for virtual 'virtual/gnustep-back'
paludis@1178534619: [WARNING] (same context) No packages matching 'gnustep-base/gnustep-back-art' for virtual 'virtual/gnustep-back'
paludis@1178534619: [WARNING] (same context) No packages matching 'gnustep-base/gnustep-back-art' for virtual 'virtual/gnustep-back'
paludis@1178534619: [WARNING] (same context) No packages matching 'net-mail/courier-imap' for virtual 'virtual/imapd'
paludis@1178534619: [WARNING] (same context) No packages matching 'net-mail/courier-imap' for virtual 'virtual/imapd'
paludis@1178534619: [WARNING] (same context) No packages matching 'net-mail/courier-imap' for virtual 'virtual/imapd'
paludis@1178534619: [WARNING] (same context) No packages matching 'net-im/jabberd' for virtual 'virtual/jabber-server'
paludis@1178534619: [WARNING] (same context) No packages matching 'net-im/jabberd' for virtual 'virtual/jabber-server'
paludis@1178534619: [WARNING] (same context) No packages matching 'net-im/jabberd' for virtual 'virtual/jabber-server'
paludis@1178534619: [WARNING] (same context) No packages matching 'sci-libs/lapack-atlas' for virtual 'virtual/lapack'
paludis@1178534619: [WARNING] (same context) No packages matching 'sci-libs/lapack-atlas' for virtual 'virtual/lapack'
paludis@1178534619: [WARNING] (same context) No packages matching 'sci-libs/lapack-atlas' for virtual 'virtual/lapack'
paludis@1178534619: [WARNING] (same context) No packages matching 'mail-client/mailx' for virtual 'virtual/mailx'
paludis@1178534619: [WARNING] (same context) No packages matching 'mail-client/mailx' for virtual 'virtual/mailx'
paludis@1178534619: [WARNING] (same context) No packages matching 'mail-client/mailx' for virtual 'virtual/mailx'
paludis@1178534619: [WARNING] (same context) No packages matching 'mail-filter/procmail' for virtual 'virtual/mda'
paludis@1178534619: [WARNING] (same context) No packages matching 'mail-filter/procmail' for virtual 'virtual/mda'
paludis@1178534619: [WARNING] (same context) No packages matching 'mail-filter/procmail' for virtual 'virtual/mda'
paludis@1178534619: [WARNING] (same context) No packages matching 'sys-cluster/torque' for virtual 'virtual/pbs'
paludis@1178534619: [WARNING] (same context) No packages matching 'sys-cluster/torque' for virtual 'virtual/pbs'
paludis@1178534619: [WARNING] (same context) No packages matching 'sys-cluster/torque' for virtual 'virtual/pbs'
paludis@1178534619: [WARNING] (same context) No packages matching 'app-i18n/skkserv' for virtual 'virtual/skkserv'
paludis@1178534619: [WARNING] (same context) No packages matching 'app-i18n/skkserv' for virtual 'virtual/skkserv'
paludis@1178534619: [WARNING] (same context) No packages matching 'app-i18n/skkserv' for virtual 'virtual/skkserv'
paludis@1178534619: [WARNING] (same context) No packages matching 'mail-client/sylpheed' for virtual 'virtual/sylpheed'
paludis@1178534619: [WARNING] (same context) No packages matching 'mail-client/sylpheed' for virtual 'virtual/sylpheed'
paludis@1178534619: [WARNING] (same context) No packages matching 'mail-client/sylpheed' for virtual 'virtual/sylpheed'
paludis@1178534619: [WARNING] (same context) No packages matching 'app-editors/xemacs' for virtual 'virtual/xemacs'
paludis@1178534619: [WARNING] (same context) No packages matching 'app-editors/xemacs' for virtual 'virtual/xemacs'
paludis@1178534619: [WARNING] (same context) No packages matching 'app-editors/xemacs' for virtual 'virtual/xemacs'


These packages will be installed:


Total: 0 packages


Does anyone have a suggestion?
_________________
...signature failed to load...
Back to top
View user's profile Send private message
jkoerner
Apprentice
Apprentice


Joined: 04 Nov 2006
Posts: 270

PostPosted: Mon May 07, 2007 11:41 am    Post subject: Reply with quote

First sync then clean unused and regenerate cache.
A good choice is to read FAQ

btw if you're more comfortable with German, http://forums.gentoo.org/viewtopic-t-535319-postdays-0-postorder-asc-start-0.html
Back to top
View user's profile Send private message
cpt_Nemo
n00b
n00b


Joined: 03 May 2004
Posts: 6
Location: Braunschweig - GER

PostPosted: Mon May 07, 2007 2:57 pm    Post subject: Reply with quote

jkoerner wrote:
First sync then clean unused and regenerate cache.
A good choice is to read FAQ


The warnings are still there after regenerating the cache. Is there any other cache file besides /var/db/pkg/.cache/provides?
_________________
...signature failed to load...
Back to top
View user's profile Send private message
Paapaa
l33t
l33t


Joined: 14 Aug 2005
Posts: 955
Location: Finland

PostPosted: Mon May 07, 2007 3:17 pm    Post subject: Reply with quote

cpt_Nemo wrote:
jkoerner wrote:
First sync then clean unused and regenerate cache.
A good choice is to read FAQ


The warnings are still there after regenerating the cache. Is there any other cache file besides /var/db/pkg/.cache/provides?


See this:

http://paludis.pioto.org/cachefiles.html
Back to top
View user's profile Send private message
cpt_Nemo
n00b
n00b


Joined: 03 May 2004
Posts: 6
Location: Braunschweig - GER

PostPosted: Mon May 07, 2007 4:38 pm    Post subject: Reply with quote

Paapaa wrote:

See this:
http://paludis.pioto.org/cachefiles.html


ok, according to this document there is not. My provides-cache contains only packages that are actually in the tree. So where does paludis get the information that anything like clamav or xemacs even exists?

Edit: ok, solved. These things are someway hardcoded and need dummy ebuilds.
_________________
...signature failed to load...
Back to top
View user's profile Send private message
Devrethman
Tux's lil' helper
Tux's lil' helper


Joined: 29 Jan 2005
Posts: 141
Location: Phoenix, AZ

PostPosted: Tue May 08, 2007 1:42 am    Post subject: Reply with quote

I get this error while trying to update paludis. The version I have is 0.22.2. The error comes from coreutils, a search on the forums comes up with nothing, and a search on google comes up with nothing useful.

Code:

PASS: no-arg
PASS: m-option
PASS: stat-vs-dirent
/bin/sh: line 8: ./x-option: Permission denied
FAIL: x-option
======================================
1 of 17 tests failed
(1 tests were not run)
Please report to bug-coreutils@gnu.org
======================================
make[3]: *** [check-TESTS] Error 1
make[3]: Leaving directory `/var/tmp/paludis/sys-apps/coreutils-6.9-r1/work/coreutils-6.9/tests/ls'
make[2]: *** [check-am] Error 2
make[2]: Leaving directory `/var/tmp/paludis/sys-apps/coreutils-6.9-r1/work/coreutils-6.9/tests/ls'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/var/tmp/paludis/sys-apps/coreutils-6.9-r1/work/coreutils-6.9/tests'
make: *** [check-recursive] Error 1

!!! ERROR in sys-apps/coreutils-6.9-r1:
!!! In src_test at line 3842
!!! make check failed

!!! Call stack:
!!!    * src_test (/var/tmp/paludis/sys-apps/coreutils-6.9-r1/temp/loadsaveenv:3842)
!!!    * ebuild_f_test (/usr/libexec/paludis/src_test.bash:71)
!!!    * ebuild_main (/usr/libexec/paludis/ebuild.bash:354)
!!!    * main (/usr/libexec/paludis/ebuild.bash:372)


!!! This package failed inside the test phase. You should read
!!!    http://paludis.pioto.org/faq.html
!!! for more information on packages with test phase failures.


die trap: exiting with error.

Install error:
  * In program paludis -i portage-utils:
  * When performing install action from command line:
  * When executing install task:
  * When installing 'sys-apps/coreutils-6.9-r1':
  * Install error: Install failed for 'sys-apps/coreutils-6.9-r1::gentoo'


I know it says to report bugs to the GNU folks, but if it was a bug in coreutils, I'd imagine it to be widespread enough to show something on google, since I don't have anything TOO wierd on my system.
Also, I've got the paludis-extras overlay, but I found that and installed it in the hopes that it would stop this error (and to get paludis to realise that kdesktop and kioslaves probably shouldn't be blocking eachother, but that's a different story).
_________________
Signature is out for lunch. Feel free to talk to its empty desk.
Back to top
View user's profile Send private message
rbrown_
Retired Dev
Retired Dev


Joined: 21 Jan 2004
Posts: 20
Location: Under the bridge

PostPosted: Tue May 08, 2007 12:47 pm    Post subject: Reply with quote

Devrethman wrote:
I get this error while trying to update paludis. The version I have is 0.22.2. The error comes from coreutils, a search on the forums comes up with nothing, and a search on google comes up with nothing useful.

Trust the FAQ. The FAQ is your friend.
Back to top
View user's profile Send private message
Devrethman
Tux's lil' helper
Tux's lil' helper


Joined: 29 Jan 2005
Posts: 141
Location: Phoenix, AZ

PostPosted: Tue May 08, 2007 10:55 pm    Post subject: Reply with quote

rbrown_ wrote:
Devrethman wrote:
I get this error while trying to update paludis. The version I have is 0.22.2. The error comes from coreutils, a search on the forums comes up with nothing, and a search on google comes up with nothing useful.

Trust the FAQ. The FAQ is your friend.

Wow I'm stupid... I've even done that with other packages before, what was I thinking...
_________________
Signature is out for lunch. Feel free to talk to its empty desk.
Back to top
View user's profile Send private message
Devrethman
Tux's lil' helper
Tux's lil' helper


Joined: 29 Jan 2005
Posts: 141
Location: Phoenix, AZ

PostPosted: Sat May 12, 2007 12:24 am    Post subject: Reply with quote

While updating my system, CUPS has decided to not merge due to "lib64 detected on x86" I have no clue what it's on about, as I'm on amd64 (my host in paludis/bashrc says so), and therefore I should have a lib64. This is following an ordeal in which I deleted KDE cause of a ton of nonsensical linker errors (More on this after paludis sees that I'm not using x86).
In reality, I'm not even sure if this is paludis's problem, but I assume that keeping track of what architecture I'm using is the package manager's job.
Sorry if I sound like a jerk, I've typed this out 4 or 5 times cause I keep hitting the wrong buttons in lynx, any help is greatly appreciated.
_________________
Signature is out for lunch. Feel free to talk to its empty desk.
Back to top
View user's profile Send private message
Cisla
n00b
n00b


Joined: 12 Apr 2006
Posts: 17
Location: Poland / Pulawy

PostPosted: Sat May 12, 2007 8:05 am    Post subject: Reply with quote

Some LaMe question:
How I can change default colors?? I saw "pink" useflag in ebuild so i'm asking ;) Its really hard to see useflags with paludis -pi on my old monitor :roll:
Back to top
View user's profile Send private message
nikaya
Veteran
Veteran


Joined: 13 May 2006
Posts: 1471
Location: Germany

PostPosted: Sat May 12, 2007 1:47 pm    Post subject: Reply with quote

Cisla wrote:
Some LaMe question:
How I can change default colors?? I saw "pink" useflag in ebuild so i'm asking ;) Its really hard to see useflags with paludis -pi on my old monitor :roll:

Yes,you can add the useflag "pink" for Paludis to your /etc/paludis/use.conf for a little bit more colorized output.
_________________
Notes on Dhamma
How to waste your time: look for an explanation of consciousness, ask to know what feeling is. (Nanavira Thera)
Back to top
View user's profile Send private message
Paapaa
l33t
l33t


Joined: 14 Aug 2005
Posts: 955
Location: Finland

PostPosted: Sat May 12, 2007 8:15 pm    Post subject: Reply with quote

"sudo paludis -pi world"

Code:

Building target list...
Building dependency list...paludis@1179000564: [WARNING] Couldn't use the cache file at '/usr/portage/metadata/cache/sys-devel/gcc-4.1.1-r3'
paludis@1179000564: [WARNING] No usable cache entry for 'sys-devel/gcc-4.1.1-r3' in 'gentoo'



Hmm... :?:

EDIT: Never mind, I resynced and the problem is gone.
Back to top
View user's profile Send private message
Ssl
Apprentice
Apprentice


Joined: 21 Feb 2003
Posts: 178
Location: Serbia

PostPosted: Sat May 12, 2007 10:21 pm    Post subject: Reply with quote

/me is trying to add local overlay - ebuilds that I get from gentoo bugzilla etc.
I have added mine.conf file and put it into /etc/paludis/repositories/ . Content is:
Code:
location = ${ROOT}/usr/local/portage
profiles = ${ROOT}/usr/local/portage/profiles
distdir = /mnt/data/Linux/Gentoo/distfiles
format = ebuild
names_cache = /var/empty
write_cache = /var/empty


Note, /usr/local/portage/profiles had file mine with following content:
Code:
local-portage

When I try to install media-libs/swfdec from mine overlay I get:
Code:
Unhandled exception:
  * In program paludis -pi swfdec:
  * When performing install action from command line:
  * When adding install target 'swfdec':
  * When disambiguating package name 'swfdec':
  * When looking in repository 'virtuals':
  * When finding category names containing package 'swfdec':
  * When loading names for virtuals repository:
  * When loading virtual packages for repository 'x-portage'
  * When handling profile ARCH variable:
  * Portage repository configuration error: ARCH variable is unset or empty (paludis::PortageRepositoryConfigurationError)

What is wrong in the above configuration file or somewhere else? Using latest 0.24.2 paludis.
Back to top
View user's profile Send private message
zxy
Veteran
Veteran


Joined: 06 Jan 2006
Posts: 1160
Location: in bed in front of the computer

PostPosted: Sat May 12, 2007 11:23 pm    Post subject: Reply with quote

Profiles should probably point to gentoo's profiles folder, not local ... profiles folder.
You can also try and use
Code:
master_repository = gentoo
.
_________________
Nature does not hurry, yet everything is accomplished.
Lao Tzu
Back to top
View user's profile Send private message
Ssl
Apprentice
Apprentice


Joined: 21 Feb 2003
Posts: 178
Location: Serbia

PostPosted: Sun May 13, 2007 12:09 am    Post subject: Reply with quote

solved. that was it. thanx zxy!

I needed also to rename file "mine" in /usr/local/portage/profiles" to "repo_name" to avoid warning:
Code:
paludis@1179014596: [QA] Couldn't open repo_name file in '/usr/local/portage/profiles/', falling back to generated name 'x-portage' (ignore this message if you have yet to sync this repository).
Back to top
View user's profile Send private message
Devrethman
Tux's lil' helper
Tux's lil' helper


Joined: 29 Jan 2005
Posts: 141
Location: Phoenix, AZ

PostPosted: Sun May 13, 2007 10:21 pm    Post subject: Reply with quote

I tried to paludis -i world, and it stalled on firefox, giving this error
Code:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/nspr/libplds4.a when searching for -lplds4
/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lplds4

Also, the FF I have installed won't start anymore, saying:
Code:
/usr/lib64/mozilla-firefox/firefox-bin: error while loading shared libraries: libplds4.so.6: wrong ELF class: ELFCLASS32
firefox-bin exited with non-zero status (127)

I've tried remerging (realuding?) the package that that lib's part of (I think it's called nspr, but paludis --owner on the file in question comes up blank) I have a pure 64 bit system (at least I'm supposed to, I have no clue how anything with a 32 in it ended up on my system) I wonder if this is realated to the cups issue I posted about above (I ended up fixing it by using emerge to install it and using paludis --regenerate-installed-cache)
I'm also getting ELF32/64 related errors from nvidia-drivers:
Code:
ld   -r -o /var/tmp/paludis/x11-drivers/nvidia-drivers-1.0.9755-r1/work/NVIDIA-Linux-x86-1.0-9755-pkg0/usr/src/nv/nvidia.o /var/tmp/paludis/x11-drivers/nvidia-drivers-1.0.9755-r1/work/NVIDIA-Linux-x86-1.0-9755-pkg0/usr/src/nv/nv-kernel.o /var/tmp/paludis/x11-drivers/nvidia-drivers-1.0.9755-r1/work/NVIDIA-Linux-x86-1.0-9755-pkg0/usr/src/nv/nv.o /var/tmp/paludis/x11-drivers/nvidia-drivers-1.0.9755-r1/work/NVIDIA-Linux-x86-1.0-9755-pkg0/usr/src/nv/nv-vm.o /var/tmp/paludis/x11-drivers/nvidia-drivers-1.0.9755-r1/work/NVIDIA-Linux-x86-1.0-9755-pkg0/usr/src/nv/os-agp.o /var/tmp/paludis/x11-drivers/nvidia-drivers-1.0.9755-r1/work/NVIDIA-Linux-x86-1.0-9755-pkg0/usr/src/nv/os-interface.o /var/tmp/paludis/x11-drivers/nvidia-drivers-1.0.9755-r1/work/NVIDIA-Linux-x86-1.0-9755-pkg0/usr/src/nv/os-registry.o /var/tmp/paludis/x11-drivers/nvidia-drivers-1.0.9755-r1/work/NVIDIA-Linux-x86-1.0-9755-pkg0/usr/src/nv/nv-i2c.o
ld: Relocatable linking with relocations from format elf32-i386 (/var/tmp/paludis/x11-drivers/nvidia-drivers-1.0.9755-r1/work/NVIDIA-Linux-x86-1.0-9755-pkg0/usr/src/nv/nv-kernel.o) to format elf64-x86-64 (/var/tmp/paludis/x11-drivers/nvidia-drivers-1.0.9755-r1/work/NVIDIA-Linux-x86-1.0-9755-pkg0/usr/src/nv/nvidia.o) is not supported

Seriously, why would there be anything 32 bit anywhere near my system. If I wasn't so busy studying for finals (next week), I'd have migrated back to portage already. Problem is that I can't afford to lose my comp for the time it would take to de-screw-over what I would inevitably break in doing so.
_________________
Signature is out for lunch. Feel free to talk to its empty desk.
Back to top
View user's profile Send private message
Paapaa
l33t
l33t


Joined: 14 Aug 2005
Posts: 955
Location: Finland

PostPosted: Mon May 14, 2007 7:11 am    Post subject: Reply with quote

Devrethman wrote:

Seriously, why would there be anything 32 bit anywhere near my system. If I wasn't so busy studying for finals (next week), I'd have migrated back to portage already. Problem is that I can't afford to lose my comp for the time it would take to de-screw-over what I would inevitably break in doing so.


What profile you are using? (cat /etc/paludis/repositories/gentoo.conf)
Back to top
View user's profile Send private message
Devrethman
Tux's lil' helper
Tux's lil' helper


Joined: 29 Jan 2005
Posts: 141
Location: Phoenix, AZ

PostPosted: Wed May 16, 2007 1:16 am    Post subject: Reply with quote

Paapaa wrote:
Devrethman wrote:

Seriously, why would there be anything 32 bit anywhere near my system. If I wasn't so busy studying for finals (next week), I'd have migrated back to portage already. Problem is that I can't afford to lose my comp for the time it would take to de-screw-over what I would inevitably break in doing so.


What profile you are using? (cat /etc/paludis/repositories/gentoo.conf)


Errm... apparently the wrong one...
Code:
cat /etc/paludis/repositories/gentoo.conf
location = /usr/portage
sync = rsync://rsync.europe.gentoo.org/gentoo-portage/
profiles = /usr/portage/profiles/default-linux/x86/2006.0
format = ebuild
names_cache = ${location}/.cache/names

It seems wierd, cause when I wrote it, it was 64 bit, so I didn't think to check that. What would make it suddenly change back to x86?
Thanks for the help.
_________________
Signature is out for lunch. Feel free to talk to its empty desk.
Back to top
View user's profile Send private message
Paapaa
l33t
l33t


Joined: 14 Aug 2005
Posts: 955
Location: Finland

PostPosted: Wed May 16, 2007 7:23 am    Post subject: Reply with quote

Devrethman wrote:
It seems wierd, cause when I wrote it, it was 64 bit, so I didn't think to check that. What would make it suddenly change back to x86?


I have no idea. Are you _100% sure_ that you had the correct profile in that particular file when you installed Paludis? Maybe you only had correct profile in /etc/make.profile? That symlink is not used by Paludis but only Portage. I find it hard to believe that Paludis would make any changes to your configuration files.

Anyway, can you now compile without errors?
Back to top
View user's profile Send private message
krisse
Guru
Guru


Joined: 15 Mar 2005
Posts: 318
Location: Sweden

PostPosted: Thu May 17, 2007 9:46 am    Post subject: palude fails: attr and acl (so far) Reply with quote

Packages sys-apps/attr and sys-apps/acl fail with paludis, but emerges fine with portage.

This is with paludis tells me (acl):
Code:
/usr/bin/libtool --mode=compile /usr/lib/ccache/bin/gcc -O3 -mtune=prescott -march=prescott -m32 -pipe -O3 -mtune=prescott -march=prescott -m32 -pipe -DNDEBUG -funsigned-char -fno-strict-aliasing -Wall -DVERSION=\"2.2.39\" -DLOCALEDIR=\"/usr/share/locale\" -DPACKAGE=\"acl\" -I./include -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64  -O3 -mtune=prescott -march=prescott -m32 -pipe -DNDEBUG -funsigned-char -fno-strict-aliasing -Wall -DVERSION=\"2.2.39\" -DLOCALEDIR=\"/usr/share/locale\" -DPACKAGE=\"acl\" -I../include -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64   -c quote.c
libtool: compile: unable to infer tagged configuration

and virtually the same message for attr.

(LD)Flags issue? Same config for both portage and paludis though...

Exerpt from my config:
Code:
export CHOST="i686-pc-linux-gnu"
export CFLAGS="-O3 -mtune=prescott -march=prescott -m32 -pipe"
export LDFLAGS="-Wl,-O1 -Wl,-z,now"
export MAKEOPTS="-j2"
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page 1, 2, 3 ... 13, 14, 15  Next
Page 1 of 15

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum